---
id: version
title: version
hide_title: true
hide_table_of_contents: true
sidebar_label: version
description: Dump kernelcache version
---
## ipsw kernel version

Dump kernelcache version

```
ipsw kernel version [flags]
```

### Options

```
  -a, --arch string   Which architecture to use for fat/universal MachO
  -h, --help          help for version
  -j, --json          Output as JSON
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw kernel](/docs/cli/ipsw/kernel)	 - Parse kernelcache

